Alerts
Update alert
Authorization
API key Alerts: writeAuthorizationBearer <token>
API key (sf_...) with any of the required scopes. Generate it in the Spotflow portal on the settings page.
In: header
Scope: Alerts: write
Path Parameters
workspaceId*string
Format
uuidalertId*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
tagIds?null|array<string>
Response Body
application/json
application/problem+json
application/problem+json
curl -X PATCH "https://example.com/workspaces/00000000-0000-0000-0000-000000000001/alerts/c6Hy71wPd3Mv" \ -H "Content-Type: application/json" \ -d '{ "tagIds": [ "t8Pj42kLd6Nw", "u5Zm93bRf1Qs" ] }'Updated alert.
{ "id": "c6Hy71wPd3Mv", "alertRuleId": "a7Kd93mQx2Lp", "state": "Firing", "thresholdType": "FixedHigherThan", "thresholdValue": 90, "startedAt": "2026-01-12T14:05:12+00:00", "devices": [ { "deviceId": "thermostat-0042", "startedAt": "2026-01-12T14:05:12+00:00" }, { "deviceId": "thermostat-0117", "startedAt": "2026-01-12T14:10:31+00:00", "resolvedAt": "2026-01-12T14:40:02+00:00" } ], "tags": [ { "id": "t8Pj42kLd6Nw", "name": "Production", "color": "#e11d48" }, { "id": "u5Zm93bRf1Qs", "name": "Needs investigation", "color": "#f59e0b" } ]}